clear
#delimit;
set mem 800m;
set matsize 2800;
set more off;

***Figure 5***;
local fn "figure5";
capture log close;
log using `fn'.log, replace;

use prep4reg, clear;

***put ozone into ppb***;
replace ozoneave6t15_sXXXX = ozoneave6t15_sXXXX*10;

***4 ppb ozone dummies***;
recode ozoneave6t15_sXXXX (min/30=30) (30/34=34) (34/38=38) (38/42=42) (42/46=46) (46/50=50) (50/54=54) (54/58=58) (58/62=62) (62/max=66), gen(ozdum);
table ozdum, c(min ozoneave6t15_sXXXX max ozoneave6t15_sXXXX count ozoneave6t15_sXXXX);
table ozdum if fd == 1, c(min ozoneave6t15_sXXXX max ozoneave6t15_sXXXX count ozoneave6t15_sXXXX);
tab ozdum, gen(ozdumdum);
drop ozdumdum1;

***group covariates***;
local wavevars "tavebdum* apave6t15_sXXXX windsave6t15_sXXXX solradave6t15_sXXXX precave6t15_sXXXX dpavebdum* srave_* pm25ave6t15_sXXXX";
local xcov "dowdum* yeardum* pdum* ndays ndays2 male female";

***graph main results***;
cgmreg ystd ozdumdum* `wavevars' `xcov', cluster(date employee);
foreach num of numlist 2/10 {;
	predictnl ozd`num' = _b[ozdumdum`num'], ci(ozdli`num' ozdui`num');
};
keep ozd? ozd10 ozdli? ozdli10 ozdui? ozdui10;
keep in 1;
gen id = _n;
reshape long ozd ozdli ozdui, i(id) j(ozdum);
label define lll 2 "30-34" 3 "34-38" 4 "38-42" 5 "42-46" 6 "46-50" 7 "50-54" 8 "54-58" 9 "58-62" 10 "62+";
label values ozdum lll;
gr twoway (scatter ozdui ozdli ozd ozdum, color(gs12 gs12 gs0) msize(0 0 0) c(l l l) lpattern(l l l) scheme(s1mono) 
	yline(0) xmtick(2(1)10) xlabel(2(1)10, valuelabel) legend(off) xtitle("ozone (ppb)") ytitle("effect of ozone") saving(`fn', replace));

set more on;
capture log close;
