clear
#delimit;
set mem 800m;
set matsize 2800;
set more off;

***Table 3 - gets clustered SEs for col 3***;
local fn "table3b";
capture log close;
log using `fn'.log, replace;

use prep4reg, clear;

***group covariates***;
local wavevars "tavebdum* apave6t15_sXXXX windsave6t15_sXXXX solradave6t15_sXXXX precave6t15_sXXXX dpavebdum* srave_* pm25ave6t15_sXXXX";
local xcov "dowdum* yeardum* pdum* ndays ndays2 male female";

***setup outeg***;
qui reg ystd ozoneave6t15_sXXXX;
outreg2 using `fn'_ave, replace se text bracket ctitle("setup") nolabel;

***quantile***;
qreg ystd ozoneave6t15_sXXXX `wavevars' `xcov';
bs _b[ozone], reps(250) cluster(date) seed(123456789): qreg `dv' ozoneave6t15_sXXXX `wavevars' `xcov';
outreg2 using `fn'_ave, append se text bracket ctitle("qreg") nolabel bdec(3);

capture log close;
set more on;
