clear
#delimit;
set mem 1500m;
set matsize 2800;
set more off;

***basic regs combining BB & grape data, normalizing by piece rate (interpretation is $ of fruit)***;
local fn "table5b";
capture log close;
log using `fn'.log, replace;

use prep4reg, clear;

replace ndays = ndays/7;
replace ndays2 = ndays^2;
gen crop1 = 1 if crop == 2000.5;
gen crop2 = 1 if crop >= 1000 & crop < 1001;
gen crop3 = 1 if crop == 1001;
replace crop1 = 0 if crop1 == .;
replace crop2 = 0 if crop2 == .;
replace crop3 = 0 if crop3 == .;
gen unknown = 1 if male == 0 & female == 0;
replace unknown = 0 if male == 1 | female == 1;

***group covariates***;
local wavevars "tavebdum* apave6t15_sXXXX windsave6t15_sXXXX solradave6t15_sXXXX precave6t15_sXXXX dpavebdum* srave_* pm25ave6t15_sXXXX";
local xcov "dowdum* yeardum* pdum* ndays ndays2 female unknown";

***setup outeg, keep regression sample***;
qui reg ystd ozoneave6t15_sXXXX `wavevars' `xcov', cluster(date);
keep if e(sample);
outreg2 using `fn'_ave.out, replace se text bracket ctitle("setup") nolabel;

***linear - crop 2 v 3***;
cgmreg crop2 ozoneave6t15_sXXXX `wavevars' dowdum* yeardum* ndays ndays2 female unknown if crop2 == 1 | crop3 == 1, cluster(date employee);
summ crop2 if e(sample); local pp = r(mean);
outreg2 using `fn'_ave.out, append se text bracket ctitle("OLS") nolabel bdec(3) addstat(mdv, `pp');

capture log close;
set more on;
